This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 158686 - CAN-2005-1705 gdb arbitrary command execution
CAN-2005-1705 gdb arbitrary command execution
Status: CLOSED CANTFIX
Product: Fedora Legacy
Classification: Retired
Component: gdb (Show other bugs)
fc3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jan Kratochvil
impact=low,public=20050525,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-24 16:15 EDT by Josh Bressers
Modified: 2007-04-18 13:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 15:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-24 16:15:10 EDT
+++ This bug was initially created as a clone of Bug #158684 +++

gdb before 6.3 searches the current working directory to load the
.gdbinit configuration file, which allows local users to execute
arbitrary commands as the user running gdb.

More information can be found in the gentoo BTS:
http://bugs.gentoo.org/show_bug.cgi?id=88398
Comment 1 Matthew Miller 2006-07-10 17:10:16 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Matthew Miller 2006-10-23 08:43:57 EDT
minor security issue. moving to Legacy.
Comment 3 Matthew Miller 2007-04-10 15:16:16 EDT
Fedora Core 3 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.

Note You need to log in before you can comment on or make changes to this bug.